# (c) Copyright 2018 Synapse Wireless, Inc.
"""This class formats a Mighty Gecko memory image."""


class MightyGecko_Layout(object):
    """This class formats a Mighty Gecko memory image."""
    # The MG OTA uploader can only handle signed .gbl file. Unlike .sfi files which are opened and decoded in
    # Portal, .gbl files are a black box to be sent as-is.
    def __init__(self, contents):
        self.contents = contents

    def getContents(self, space_avail):
        # On the MG, space_avail is the number of 256-byte pages available
        assert(len(self.contents) <= (space_avail << 8))
        return self.contents
